"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Orchestrator = void 0;
class Orchestrator {
    Logger;
    constructor(logger) {
        this.Logger = logger;
    }
    Orchestrate(actionToTake) {
        const action = `${Orchestrator.name}.${this.OrchestrateAsync.name}`;
        this.Logger.Information(`[${action}] Starting orchestration`);
        let successful = false;
        try {
            actionToTake();
            successful = true;
        }
        catch (error) {
            this.Logger.Error(error);
        }
        finally {
            this.Logger.Information(`[${action}] Finished orchestration`);
        }
        return successful;
    }
    async OrchestrateAsync(actionToTake) {
        const action = `${Orchestrator.name}.${this.OrchestrateAsync.name}`;
        this.Logger.Information(`[${action}] Starting orchestration`);
        let successful = false;
        try {
            await actionToTake();
            successful = true;
        }
        catch (error) {
            this.Logger.Error(error);
        }
        finally {
            this.Logger.Information(`[${action}] Finished orchestration`);
        }
        return successful;
    }
}
exports.Orchestrator = Orchestrator;
//# sourceMappingURL=orchestrator.js.map